package io.gitlab.jfronny.inceptum.common;

import io.gitlab.jfronny.commons.HttpUtils;
import io.gitlab.jfronny.commons.log.Logger;
import io.gitlab.jfronny.commons.log.StdoutLogger;
import io.gitlab.jfronny.commons.serialize.gson.api.GsonHolder;

import java.io.IOException;

public class InceptumEnvironmentInitializer {
    public static void initialize() throws IOException {
        Logger.registerFactory(InceptumEnvironmentInitializer::defaultFactory);
        HttpUtils.setUserAgent("jfmods/inceptum/" + BuildMetadata.VERSION);
        GsonHolder.register();
        InceptumConfig.load();
    }

    public static Logger defaultFactory(String name) {
        return new StdoutLogger(name, true, true, true);
    }
}
