package io.gitlab.jfronny.inceptum.launcher.model.modrinth;

import io.gitlab.jfronny.gson.annotations.SerializedName;

import java.util.List;

public class ModrinthModpackManifest {
    public Integer formatVersion; // 1
    public String game; // "minecraft"
    public String versionId;
    public String name;
    public String summary; // optional
    public List<File> files;
    public Dependencies dependencies;

    public static class File {
        public String path;
        public ModrinthHashes hashes;
        public Env env; // optional
        public List<String> downloads;
        public Long fileSize;

        public static class Env {
            public ModrinthDependencyType client;
            public ModrinthDependencyType server;
        }
    }

    public static class Dependencies { // All are nullable
        public String minecraft;
        public String forge;
        @SerializedName("fabric-loader") public String fabricLoader;
        @SerializedName("quilt-loader") public String quiltLoader;
    }
}
