package io.gitlab.jfronny.inceptum.launcher.system.mds;

import java.io.IOException;
import java.nio.file.Path;
import java.util.Set;
import java.util.function.BiConsumer;

public record NoopMds(String gameVersion) implements ModsDirScanner {
    @Override
    public void close() throws IOException {
    }

    @Override
    public boolean isComplete() {
        return true;
    }

    @Override
    public void start() {
    }

    @Override
    public String getGameVersion() {
        return gameVersion;
    }

    @Override
    public Set<IWModDescription> getMods() throws IOException {
        return Set.of();
    }

    @Override
    public IWModDescription get(Path path) {
        return new IWModDescription(path);
    }

    @Override
    public void invalidate(Path path) {
    }

    @Override
    public boolean hasScanned(Path path) {
        return true;
    }

    @Override
    public void runOnce(BiConsumer<Path, IWModDescription> discovered) {
    }
}
